# This configuration will be added by the Rails-Application
# Decorator to add some special features to a document

Nukleus::Document.class_eval do
    # The document can be associated with a user (if logged in)
    # or with a session.
    field  :user_id,         :type => String,                                           :index => true

    def self.all_by_user_id(user_id, is_appointed = nil, is_sent = false)
        return [] if user_id.nil?
        Nukleus::Document.where(user_id: user_id)
    end

end
